Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   ArchLinux Development (http://www.linux-archive.org/archlinux-development/)
-   -   KDE kdebase-runtime 4.9 dependency changes (http://www.linux-archive.org/archlinux-development/689884-kde-kdebase-runtime-4-9-dependency-changes.html)

Dan McGee 08-02-2012 02:27 PM

KDE kdebase-runtime 4.9 dependency changes
 
Noticed this when upgrading yesterday. Suddenly got a lot more junk
installed on my system because of the new dep of kdebase-runtime on
kdepimlibs.

Is this dependency really necessary? Can it not be optional with the
KDE programs that actually require it pull it in explicitly? I'd
prefer to not have MySQL on my system, in addition to the numerous
other programs that got pulled. Anything from my log that is listed as
"installed" was obviously not there before:

2012-08-01 21:25] upgraded kdelibs (4.8.4-4 -> 4.9.0-2)
[2012-08-01 21:25] installed mysql-clients (5.5.25.a-1)
[2012-08-01 21:25] installed mysql (5.5.25.a-1)
[2012-08-01 21:25] installed akonadi (1.8.0-1)
[2012-08-01 21:25] installed libdmtx (0.7.4-3)
[2012-08-01 21:25] installed qrencode (3.3.1-1)
[2012-08-01 21:25] installed prison (1.0-1)
[2012-08-01 21:25] installed kdepimlibs (4.9.0-1)
[2012-08-01 21:25] installed nepomuk-core (4.9.0-1)
[2012-08-01 21:25] upgraded oxygen-icons (4.8.4-1 -> 4.9.0-1)
[2012-08-01 21:25] installed kactivities (4.9.0-1)
[2012-08-01 21:26] upgraded kdebase-runtime (4.8.4-2 -> 4.9.0-1)

dmcgee@galway ~
$ pactree -r mysql
|--mysql
|--akonadi
|--kdepimlibs
|--kdebase-runtime
|--kdesdk-kcachegrind
|--kdiff3

Andrea Scarpino 08-02-2012 03:01 PM

KDE kdebase-runtime 4.9 dependency changes
 
On Thursday 02 August 2012 09:27:00 Dan McGee wrote:
> Noticed this when upgrading yesterday. Suddenly got a lot more junk
> installed on my system because of the new dep of kdebase-runtime on
> kdepimlibs.
>
> Is this dependency really necessary? Can it not be optional with the
> KDE programs that actually require it pull it in explicitly? I'd
> prefer to not have MySQL on my system, in addition to the numerous
> other programs that got pulled. Anything from my log that is listed as
> "installed" was obviously not there before:

In truth, I didn't think to the non-KDE users when I added this depencence.

It seems that only drkonqi needs a library from kdepimlibs, but we know that
drkonqi is pretty useless since we haven't debug symbols in KDE.

I'll move kdepimlibs to optdepends just to be clear; anyway the others KDE
module should already depend on it.

namcap output:
kdebase-runtime E: Dependency kdepimlibs detected and not included (libraries
['lib/libkxmlrpcclient.so.4'] needed in files ['usr/lib/kde4/libexec/drkonqi'])

--
Andrea


All times are GMT. The time now is 07:48 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.